import 'package:get/get.dart';

import '../../../Data/Repository/Orders/Orderrepository.dart';
import '../../../Model/Response/Orders/Getorderresponse.dart';

class CancelledOrderController extends GetxController{

  RxBool shimmer = true.obs;

  List <OrderDetails> getCancelledOrderList = [];

  OrdersRepository ordersRepository = OrdersRepository();

  getCancelledOrder()async{
    GetOrders? result = await ordersRepository.getCancelledOrder();
    getCancelledOrderList = result?.details??[];
    shimmer.value = false;
    update();
  }

  @override
  void onInit() {
    // TODO: implement onInit
    super.onInit();
  }
}